aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorstefson <herrtimson@yahoo.de>2018-02-06 10:41:42 +0100
committerAnthony G. Basile <blueness@gentoo.org>2018-02-07 07:19:22 -0500
commit0231b9924a87b9a0718002ffd5779d7a9502712f (patch)
treeeda005fa80de7fec3802329e1debfc0530227c22
parentnet-fs/samba: revbump (diff)
downloadmusl-0231b992.tar.gz
musl-0231b992.tar.bz2
musl-0231b992.zip
sys-apps/busybox: in tree works
-rw-r--r--sys-apps/busybox/Manifest3
-rw-r--r--sys-apps/busybox/busybox-1.25.1.ebuild309
-rw-r--r--sys-apps/busybox/busybox-1.26.2-r1.ebuild317
-rw-r--r--sys-apps/busybox/busybox-1.27.2.ebuild317
-rw-r--r--sys-apps/busybox/files/busybox-1.19.0-bb.patch22
-rw-r--r--sys-apps/busybox/files/busybox-1.25.1-setfiles.patch34
-rw-r--r--sys-apps/busybox/files/busybox-1.26.2-bb.patch55
-rw-r--r--sys-apps/busybox/files/ginit.c124
-rw-r--r--sys-apps/busybox/files/klogd.confd9
-rw-r--r--sys-apps/busybox/files/klogd.initd11
-rw-r--r--sys-apps/busybox/files/mdev.initd52
-rw-r--r--sys-apps/busybox/files/mdev/dvbdev18
-rw-r--r--sys-apps/busybox/files/mdev/ide_links23
-rw-r--r--sys-apps/busybox/files/mdev/usbdev62
-rw-r--r--sys-apps/busybox/files/mdev/usbdisk_link34
-rw-r--r--sys-apps/busybox/files/ntpd.confd6
-rw-r--r--sys-apps/busybox/files/ntpd.initd12
-rw-r--r--sys-apps/busybox/files/syslogd.confd9
-rw-r--r--sys-apps/busybox/files/syslogd.initd12
-rw-r--r--sys-apps/busybox/files/watchdog.confd9
-rw-r--r--sys-apps/busybox/files/watchdog.initd7
-rw-r--r--sys-apps/busybox/metadata.xml19
22 files changed, 0 insertions, 1464 deletions
diff --git a/sys-apps/busybox/Manifest b/sys-apps/busybox/Manifest
deleted file mode 100644
index d9f2bbb9..00000000
--- a/sys-apps/busybox/Manifest
+++ /dev/null
@@ -1,3 +0,0 @@
-DIST busybox-1.25.1.tar.bz2 2103070 SHA256 27667e0f2328fdbd79cfd622e4453e5c57e58f781c5da97c9be337d93aa2a02e SHA512 9648877ed11e5a55213cd14fd64f6fc64dbd17013fbfaa4e67f4fd433f59e9231ed78a88e6e8100a4794d833f1d9863bb86f75faae093418866770804bf873cb WHIRLPOOL 4b7bc6d3a88559812797feb4574975b9fdeb6eac6ac7a0fe51e4750a3b05a614ecb8bd9d58547047cdf1e0b66d9bcd189c8a4193fc2f3b491a6268bc06761ad1
-DIST busybox-1.26.2.tar.bz2 2120931 SHA256 da3e44913fc1a9c9b7c5337ea5292da518683cbff32be630777f565d6036af16 SHA512 9926d211d0b4f34b513d934d7b111ebbf933c2dc31206bdd80426a62d47d5b1475b70bec5aaa14a26b94a202ab1465d994062a002750a312dcb8167096eb3719 WHIRLPOOL 64fdbd3ede8e382d0237b1576000555f563c4ca93d58cfbb72f71374b662e3201863110a069f0e4a27dab7c0a6102d98ccfd4d57f1dfe44c9b12a17c6a30128a
-DIST busybox-1.27.2.tar.bz2 2216527 SHA256 9d4be516b61e6480f156b11eb42577a13529f75d3383850bb75c50c285de63df SHA512 d99e86b652562ebe1a5d50e1ba3877a1d1612997c17cb8d8e4212da181211a9b741a881cb051f14cb3ee8aea40226cf2cde80a076baed265d3bc0a4e96a5031c WHIRLPOOL 56002a144710aa00ee17c46e3ac471537f58bee6b9d4da6cefc0afb4f75cf13dcaaadf1e6610d0e10c7b808b0c33c24743e21c683c478582eb0eb149a869f9a7
diff --git a/sys-apps/busybox/busybox-1.25.1.ebuild b/sys-apps/busybox/busybox-1.25.1.ebuild
deleted file mode 100644
index f67dfadc..00000000
--- a/sys-apps/busybox/busybox-1.25.1.ebuild
+++ /dev/null
@@ -1,309 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-# See `man savedconfig.eclass` for info on how to use USE=savedconfig.
-
-EAPI="5"
-inherit eutils flag-o-matic savedconfig toolchain-funcs multilib
-
-DESCRIPTION="Utilities for rescue and embedded systems"
-HOMEPAGE="https://www.busybox.net/"
-if [[ ${PV} == "9999" ]] ; then
- MY_P=${PN}
- EGIT_REPO_URI="git://busybox.net/busybox.git"
- inherit git-2
-else
- MY_P=${PN}-${PV/_/-}
- SRC_URI="https://www.busybox.net/downloads/${MY_P}.tar.bz2"
- KEYWORDS="amd64 arm ~mips ppc x86"
-fi
-
-LICENSE="GPL-2" # GPL-2 only
-SLOT="0"
-IUSE="debug ipv6 livecd make-symlinks math mdev pam selinux sep-usr static syslog systemd"
-REQUIRED_USE="pam? ( !static )"
-RESTRICT="test"
-
-COMMON_DEPEND="!static? ( selinux? ( sys-libs/libselinux ) )
- pam? ( sys-libs/pam )"
-DEPEND="${COMMON_DEPEND}
- static? ( selinux? ( sys-libs/libselinux[static-libs(+)] ) )
- >=sys-kernel/linux-headers-2.6.39"
-RDEPEND="${COMMON_DEPEND}
- mdev? ( !<sys-apps/openrc-0.13 )"
-
-S=${WORKDIR}/${MY_P}
-
-busybox_config_option() {
- local flag=$1 ; shift
- if [[ ${flag} != [yn] ]] ; then
- busybox_config_option $(usex ${flag} y n) "$@"
- return
- fi
- while [[ $# -gt 0 ]] ; do
- if [[ ${flag} == "y" ]] ; then
- sed -i -e "s:.*\<CONFIG_$1\>.*set:CONFIG_$1=y:g" .config
- else
- sed -i -e "s:CONFIG_$1=y:# CONFIG_$1 is not set:g" .config
- fi
- einfo $(grep "CONFIG_$1[= ]" .config || echo Could not find CONFIG_$1 ...)
- shift
- done
-}
-
-busybox_config_enabled() {
- local val=$(sed -n "/^CONFIG_$1=/s:^[^=]*=::p" .config)
- case ${val} in
- "") return 1 ;;
- y) return 0 ;;
- *) echo "${val}" | sed -r 's:^"(.*)"$:\1:' ;;
- esac
-}
-
-src_prepare() {
- unset KBUILD_OUTPUT #88088
- append-flags -fno-strict-aliasing #310413
- use ppc64 && append-flags -mminimal-toc #130943
-
- # patches go here!
- epatch "${FILESDIR}"/${PN}-1.19.0-bb.patch
- epatch "${FILESDIR}"/${P}-*.patch
- cp "${FILESDIR}"/ginit.c init/ || die
-
- # flag cleanup
- sed -i -r \
- -e 's:[[:space:]]?-(Werror|Os|falign-(functions|jumps|loops|labels)=1|fomit-frame-pointer)\>::g' \
- Makefile.flags || die
- #sed -i '/bbsh/s:^//::' include/applets.h
- sed -i '/^#error Aborting compilation./d' applets/applets.c || die
- use elibc_glibc && sed -i 's:-Wl,--gc-sections::' Makefile
- sed -i \
- -e "/^CROSS_COMPILE/s:=.*:= ${CHOST}-:" \
- -e "/^AR\>/s:=.*:= $(tc-getAR):" \
- -e "/^CC\>/s:=.*:= $(tc-getCC):" \
- -e "/^HOSTCC/s:=.*:= $(tc-getBUILD_CC):" \
- -e "/^PKG_CONFIG\>/s:=.*:= $(tc-getPKG_CONFIG):" \
- Makefile || die
- sed -i \
- -e 's:-static-libgcc::' \
- Makefile.flags || die
-}
-
-src_configure() {
- # check for a busybox config before making one of our own.
- # if one exist lets return and use it.
-
- restore_config .config
- if [ -f .config ]; then
- yes "" | emake -j1 -s oldconfig >/dev/null
- return 0
- else
- ewarn "Could not locate user configfile, so we will save a default one"
- fi
-
- # setup the config file
- emake -j1 -s allyesconfig >/dev/null
- # nommu forces a bunch of things off which we want on #387555
- busybox_config_option n NOMMU
- sed -i '/^#/d' .config
- yes "" | emake -j1 -s oldconfig >/dev/null
-
- # now turn off stuff we really don't want
- busybox_config_option n DMALLOC
- busybox_config_option n FEATURE_SUID_CONFIG
- busybox_config_option n BUILD_AT_ONCE
- busybox_config_option n BUILD_LIBBUSYBOX
- busybox_config_option n FEATURE_CLEAN_UP
- busybox_config_option n MONOTONIC_SYSCALL
- busybox_config_option n USE_PORTABLE_CODE
- busybox_config_option n WERROR
- # triming the BSS size may be dangerous
- busybox_config_option n FEATURE_USE_BSS_TAIL
-
- # These cause trouble with musl. Since we don't really
- # depend on busybox for most of the musl work, we'll lazily
- # just turn them off.
- busybox_config_option n FEATURE_UTMP
- busybox_config_option n EXTRA_COMPAT
- busybox_config_option n FEATURE_VI_REGEX_SEARCH
-
- # If these are not set and we are using a uclibc/busybox setup
- # all calls to system() will fail.
- busybox_config_option y ASH
- busybox_config_option n HUSH
-
- # disable ipv6 applets
- if ! use ipv6; then
- busybox_config_option n FEATURE_IPV6
- busybox_config_option n TRACEROUTE6
- busybox_config_option n PING6
- busybox_config_option n UDHCPC6
- fi
-
- busybox_config_option pam PAM
- busybox_config_option static STATIC
- busybox_config_option syslog {K,SYS}LOGD LOGGER
- busybox_config_option systemd FEATURE_SYSTEMD
- busybox_config_option math FEATURE_AWK_LIBM
-
- # all the debug options are compiler related, so punt them
- busybox_config_option n DEBUG_SANITIZE
- busybox_config_option n DEBUG
- busybox_config_option y NO_DEBUG_LIB
- busybox_config_option n DMALLOC
- busybox_config_option n EFENCE
- busybox_config_option $(usex debug y n) TFTP_DEBUG
-
- busybox_config_option selinux SELINUX
-
- # this opt only controls mounting with <linux-2.6.23
- busybox_config_option n FEATURE_MOUNT_NFS
-
- # default a bunch of uncommon options to off
- local opt
- for opt in \
- ADD_SHELL \
- BEEP BOOTCHARTD \
- CRONTAB \
- DC DEVFSD DNSD DPKG{,_DEB} \
- FAKEIDENTD FBSPLASH FOLD FSCK_MINIX FTP{GET,PUT} \
- FEATURE_DEVFS \
- HOSTID HUSH \
- INETD INOTIFYD IPCALC \
- LOCALE_SUPPORT LOGNAME LPD \
- MAKEMIME MKFS_MINIX MSH \
- OD \
- RDEV READPROFILE REFORMIME REMOVE_SHELL RFKILL RUN_PARTS RUNSV{,DIR} \
- SLATTACH SMEMCAP SULOGIN SV{,LOGD} \
- TASKSET TCPSVD \
- RPM RPM2CPIO \
- UDPSVD UUDECODE UUENCODE
- do
- busybox_config_option n ${opt}
- done
-
- emake -j1 oldconfig > /dev/null
-}
-
-src_compile() {
- unset KBUILD_OUTPUT #88088
- export SKIP_STRIP=y
-
- emake V=1 busybox
-}
-
-src_install() {
- unset KBUILD_OUTPUT #88088
- save_config .config
-
- into /
- dodir /bin
- if use sep-usr ; then
- # install /ginit to take care of mounting stuff
- exeinto /
- newexe busybox_unstripped ginit
- dosym /ginit /bin/bb
- dosym bb /bin/busybox
- else
- newbin busybox_unstripped busybox
- dosym busybox /bin/bb
- fi
- if use mdev ; then
- dodir /$(get_libdir)/mdev/
- use make-symlinks || dosym /bin/bb /sbin/mdev
- cp "${S}"/examples/mdev_fat.conf "${ED}"/etc/mdev.conf
-
- exeinto /$(get_libdir)/mdev/
- doexe "${FILESDIR}"/mdev/*
-
- newinitd "${FILESDIR}"/mdev.initd mdev
- fi
- if use livecd ; then
- dosym busybox /bin/vi
- fi
-
- # add busybox daemon's, bug #444718
- if busybox_config_enabled FEATURE_NTPD_SERVER; then
- newconfd "${FILESDIR}/ntpd.confd" "busybox-ntpd"
- newinitd "${FILESDIR}/ntpd.initd" "busybox-ntpd"
- fi
- if busybox_config_enabled SYSLOGD; then
- newconfd "${FILESDIR}/syslogd.confd" "busybox-syslogd"
- newinitd "${FILESDIR}/syslogd.initd" "busybox-syslogd"
- fi
- if busybox_config_enabled KLOGD; then
- newconfd "${FILESDIR}/klogd.confd" "busybox-klogd"
- newinitd "${FILESDIR}/klogd.initd" "busybox-klogd"
- fi
- if busybox_config_enabled WATCHDOG; then
- newconfd "${FILESDIR}/watchdog.confd" "busybox-watchdog"
- newinitd "${FILESDIR}/watchdog.initd" "busybox-watchdog"
- fi
- if busybox_config_enabled UDHCPC; then
- local path=$(busybox_config_enabled UDHCPC_DEFAULT_SCRIPT)
- exeinto "${path%/*}"
- newexe examples/udhcp/simple.script "${path##*/}"
- fi
- if busybox_config_enabled UDHCPD; then
- insinto /etc
- doins examples/udhcp/udhcpd.conf
- fi
-
- # bundle up the symlink files for use later
- emake DESTDIR="${ED}" install
- rm _install/bin/busybox
- # for compatibility, provide /usr/bin/env
- mkdir -p _install/usr/bin
- ln -s /bin/env _install/usr/bin/env
- tar cf busybox-links.tar -C _install . || : #;die
- insinto /usr/share/${PN}
- use make-symlinks && doins busybox-links.tar
-
- dodoc AUTHORS README TODO
-
- cd docs
- docinto txt
- dodoc *.txt
- docinto pod
- dodoc *.pod
- dohtml *.html
-
- cd ../examples
- docinto examples
- dodoc inittab depmod.pl *.conf *.script undeb unrpm
-}
-
-pkg_preinst() {
- if use make-symlinks && [[ ! ${VERY_BRAVE_OR_VERY_DUMB} == "yes" ]] && [[ ${ROOT} == "/" ]] ; then
- ewarn "setting USE=make-symlinks and emerging to / is very dangerous."
- ewarn "it WILL overwrite lots of system programs like: ls bash awk grep (bug 60805 for full list)."
- ewarn "If you are creating a binary only and not merging this is probably ok."
- ewarn "set env VERY_BRAVE_OR_VERY_DUMB=yes if this is really what you want."
- die "silly options will destroy your system"
- fi
-
- if use make-symlinks ; then
- mv "${ED}"/usr/share/${PN}/busybox-links.tar "${T}"/ || die
- fi
-}
-
-pkg_postinst() {
- savedconfig_pkg_postinst
-
- if use make-symlinks ; then
- cd "${T}" || die
- mkdir _install
- tar xf busybox-links.tar -C _install || die
- cp -vpPR _install/* "${ROOT}"/ || die "copying links for ${x} failed"
- fi
-
- if use sep-usr ; then
- elog "In order to use the sep-usr support, you have to update your"
- elog "kernel command line. Add the option:"
- elog " init=/ginit"
- elog "To launch a different init than /sbin/init, use:"
- elog " init=/ginit /sbin/yourinit"
- elog "To get a rescue shell, you may boot with:"
- elog " init=/ginit bb"
- fi
-}
diff --git a/sys-apps/busybox/busybox-1.26.2-r1.ebuild b/sys-apps/busybox/busybox-1.26.2-r1.ebuild
deleted file mode 100644
index 4e59232f..00000000
--- a/sys-apps/busybox/busybox-1.26.2-r1.ebuild
+++ /dev/null
@@ -1,317 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-# See `man savedconfig.eclass` for info on how to use USE=savedconfig.
-
-EAPI="5"
-inherit eutils flag-o-matic savedconfig toolchain-funcs multilib
-
-DESCRIPTION="Utilities for rescue and embedded systems"
-HOMEPAGE="https://www.busybox.net/"
-if [[ ${PV} == "9999" ]] ; then
- MY_P=${PN}
- EGIT_REPO_URI="git://busybox.net/busybox.git"
- inherit git-2
-else
- MY_P=${PN}-${PV/_/-}
- SRC_URI="https://www.busybox.net/downloads/${MY_P}.tar.bz2"
- KEYWORDS="~amd64 ~arm ~mips ~ppc ~x86"
-fi
-
-LICENSE="GPL-2" # GPL-2 only
-SLOT="0"
-IUSE="debug ipv6 livecd make-symlinks math mdev pam selinux sep-usr static syslog systemd"
-REQUIRED_USE="pam? ( !static )"
-RESTRICT="test"
-
-COMMON_DEPEND="!static? ( selinux? ( sys-libs/libselinux ) )
- pam? ( sys-libs/pam )"
-DEPEND="${COMMON_DEPEND}
- static? ( selinux? ( sys-libs/libselinux[static-libs(+)] ) )
- >=sys-kernel/linux-headers-2.6.39"
-RDEPEND="${COMMON_DEPEND}
- mdev? ( !<sys-apps/openrc-0.13 )"
-
-S=${WORKDIR}/${MY_P}
-
-busybox_config_option() {
- local flag=$1 ; shift
- if [[ ${flag} != [yn] && ${flag} != \"* ]] ; then
- busybox_config_option $(usex ${flag} y n) "$@"
- return
- fi
- local expr
- while [[ $# -gt 0 ]] ; do
- case ${flag} in
- y) expr="s:.*\<CONFIG_$1\>.*set:CONFIG_$1=y:g" ;;
- n) expr="s:CONFIG_$1=y:# CONFIG_$1 is not set:g" ;;
- *) expr="s:.*\<CONFIG_$1\>.*:CONFIG_$1=${flag}:g" ;;
- esac
- sed -i -e "${expr}" .config || die
- einfo "$(grep "CONFIG_$1[= ]" .config || echo "Could not find CONFIG_$1 ...")"
- shift
- done
-}
-
-busybox_config_enabled() {
- local val=$(sed -n "/^CONFIG_$1=/s:^[^=]*=::p" .config)
- case ${val} in
- "") return 1 ;;
- y) return 0 ;;
- *) echo "${val}" | sed -r 's:^"(.*)"$:\1:' ;;
- esac
-}
-
-src_prepare() {
- unset KBUILD_OUTPUT #88088
- append-flags -fno-strict-aliasing #310413
- use ppc64 && append-flags -mminimal-toc #130943
-
- # patches go here!
- epatch "${FILESDIR}"/${PN}-1.26.2-bb.patch
-# epatch "${FILESDIR}"/${P}-*.patch
- cp "${FILESDIR}"/ginit.c init/ || die
-
- # flag cleanup
- sed -i -r \
- -e 's:[[:space:]]?-(Werror|Os|falign-(functions|jumps|loops|labels)=1|fomit-frame-pointer)\>::g' \
- Makefile.flags || die
- #sed -i '/bbsh/s:^//::' include/applets.h
- sed -i '/^#error Aborting compilation./d' applets/applets.c || die
- use elibc_glibc && sed -i 's:-Wl,--gc-sections::' Makefile
- sed -i \
- -e "/^CROSS_COMPILE/s:=.*:= ${CHOST}-:" \
- -e "/^AR\>/s:=.*:= $(tc-getAR):" \
- -e "/^CC\>/s:=.*:= $(tc-getCC):" \
- -e "/^HOSTCC/s:=.*:= $(tc-getBUILD_CC):" \
- -e "/^PKG_CONFIG\>/s:=.*:= $(tc-getPKG_CONFIG):" \
- Makefile || die
- sed -i \
- -e 's:-static-libgcc::' \
- Makefile.flags || die
-}
-
-src_configure() {
- # check for a busybox config before making one of our own.
- # if one exist lets return and use it.
-
- restore_config .config
- if [ -f .config ]; then
- yes "" | emake -j1 -s oldconfig >/dev/null
- return 0
- else
- ewarn "Could not locate user configfile, so we will save a default one"
- fi
-
- # setup the config file
- emake -j1 -s allyesconfig >/dev/null
- # nommu forces a bunch of things off which we want on #387555
- busybox_config_option n NOMMU
- sed -i '/^#/d' .config
- yes "" | emake -j1 -s oldconfig >/dev/null
-
- # now turn off stuff we really don't want
- busybox_config_option n DMALLOC
- busybox_config_option n FEATURE_2_4_MODULES #607548
- busybox_config_option n FEATURE_SUID_CONFIG
- busybox_config_option n BUILD_AT_ONCE
- busybox_config_option n BUILD_LIBBUSYBOX
- busybox_config_option n FEATURE_CLEAN_UP
- busybox_config_option n MONOTONIC_SYSCALL
- busybox_config_option n USE_PORTABLE_CODE
- busybox_config_option n WERROR
- # triming the BSS size may be dangerous
- busybox_config_option n FEATURE_USE_BSS_TAIL
-
- # These cause trouble with musl. Since we don't really
- # depend on busybox for most of the musl work, we'll lazily
- # just turn them off.
- busybox_config_option n FEATURE_UTMP
- busybox_config_option n EXTRA_COMPAT
- busybox_config_option n FEATURE_VI_REGEX_SEARCH
-
- # If these are not set and we are using a uclibc/busybox setup
- # all calls to system() will fail.
- busybox_config_option y ASH
- busybox_config_option y SH_IS_ASH
- busybox_config_option n HUSH
- busybox_config_option n SH_IS_HUSH
-
- busybox_config_option '"/run"' PID_FILE_PATH
- busybox_config_option '"/run/ifstate"' IFUPDOWN_IFSTATE_PATH
-
- # disable ipv6 applets
- if ! use ipv6; then
- busybox_config_option n FEATURE_IPV6
- busybox_config_option n TRACEROUTE6
- busybox_config_option n PING6
- busybox_config_option n UDHCPC6
- fi
-
- busybox_config_option pam PAM
- busybox_config_option static STATIC
- busybox_config_option syslog {K,SYS}LOGD LOGGER
- busybox_config_option systemd FEATURE_SYSTEMD
- busybox_config_option math FEATURE_AWK_LIBM
-
- # all the debug options are compiler related, so punt them
- busybox_config_option n DEBUG_SANITIZE
- busybox_config_option n DEBUG
- busybox_config_option y NO_DEBUG_LIB
- busybox_config_option n DMALLOC
- busybox_config_option n EFENCE
- busybox_config_option $(usex debug y n) TFTP_DEBUG
-
- busybox_config_option selinux SELINUX
-
- # this opt only controls mounting with <linux-2.6.23
- busybox_config_option n FEATURE_MOUNT_NFS
-
- # default a bunch of uncommon options to off
- local opt
- for opt in \
- ADD_SHELL \
- BEEP BOOTCHARTD \
- CRONTAB \
- DC DEVFSD DNSD DPKG{,_DEB} \
- FAKEIDENTD FBSPLASH FOLD FSCK_MINIX FTP{GET,PUT} \
- FEATURE_DEVFS \
- HOSTID HUSH \
- INETD INOTIFYD IPCALC \
- LOCALE_SUPPORT LOGNAME LPD \
- MAKEMIME MKFS_MINIX MSH \
- OD \
- RDEV READPROFILE REFORMIME REMOVE_SHELL RFKILL RUN_PARTS RUNSV{,DIR} \
- SLATTACH SMEMCAP SULOGIN SV{,LOGD} \
- TASKSET TCPSVD \
- RPM RPM2CPIO \
- UDPSVD UUDECODE UUENCODE
- do
- busybox_config_option n ${opt}
- done
-
- emake -j1 oldconfig > /dev/null
-}
-
-src_compile() {
- unset KBUILD_OUTPUT #88088
- export SKIP_STRIP=y
-
- emake V=1 busybox
-}
-
-src_install() {
- unset KBUILD_OUTPUT #88088
- save_config .config
-
- into /
- dodir /bin
- if use sep-usr ; then
- # install /ginit to take care of mounting stuff
- exeinto /
- newexe busybox_unstripped ginit
- dosym /ginit /bin/bb
- dosym bb /bin/busybox
- else
- newbin busybox_unstripped busybox
- dosym busybox /bin/bb
- fi
- if use mdev ; then
- dodir /$(get_libdir)/mdev/
- use make-symlinks || dosym /bin/bb /sbin/mdev
- cp "${S}"/examples/mdev_fat.conf "${ED}"/etc/mdev.conf
-
- exeinto /$(get_libdir)/mdev/
- doexe "${FILESDIR}"/mdev/*
-
- newinitd "${FILESDIR}"/mdev.initd mdev
- fi
- if use livecd ; then
- dosym busybox /bin/vi
- fi
-
- # add busybox daemon's, bug #444718
- if busybox_config_enabled FEATURE_NTPD_SERVER; then
- newconfd "${FILESDIR}/ntpd.confd" "busybox-ntpd"
- newinitd "${FILESDIR}/ntpd.initd" "busybox-ntpd"
- fi
- if busybox_config_enabled SYSLOGD; then
- newconfd "${FILESDIR}/syslogd.confd" "busybox-syslogd"
- newinitd "${FILESDIR}/syslogd.initd" "busybox-syslogd"
- fi
- if busybox_config_enabled KLOGD; then
- newconfd "${FILESDIR}/klogd.confd" "busybox-klogd"
- newinitd "${FILESDIR}/klogd.initd" "busybox-klogd"
- fi
- if busybox_config_enabled WATCHDOG; then
- newconfd "${FILESDIR}/watchdog.confd" "busybox-watchdog"
- newinitd "${FILESDIR}/watchdog.initd" "busybox-watchdog"
- fi
- if busybox_config_enabled UDHCPC; then
- local path=$(busybox_config_enabled UDHCPC_DEFAULT_SCRIPT)
- exeinto "${path%/*}"
- newexe examples/udhcp/simple.script "${path##*/}"
- fi
- if busybox_config_enabled UDHCPD; then
- insinto /etc
- doins examples/udhcp/udhcpd.conf
- fi
-
- # bundle up the symlink files for use later
- emake DESTDIR="${ED}" install
- rm _install/bin/busybox
- # for compatibility, provide /usr/bin/env
- mkdir -p _install/usr/bin
- ln -s /bin/env _install/usr/bin/env
- tar cf busybox-links.tar -C _install . || : #;die
- insinto /usr/share/${PN}
- use make-symlinks && doins busybox-links.tar
-
- dodoc AUTHORS README TODO
-
- cd docs
- docinto txt
- dodoc *.txt
- docinto pod
- dodoc *.pod
- dohtml *.html
-
- cd ../examples
- docinto examples
- dodoc inittab depmod.pl *.conf *.script undeb unrpm
-}
-
-pkg_preinst() {
- if use make-symlinks && [[ ! ${VERY_BRAVE_OR_VERY_DUMB} == "yes" ]] && [[ ${ROOT} == "/" ]] ; then
- ewarn "setting USE=make-symlinks and emerging to / is very dangerous."
- ewarn "it WILL overwrite lots of system programs like: ls bash awk grep (bug 60805 for full list)."
- ewarn "If you are creating a binary only and not merging this is probably ok."
- ewarn "set env VERY_BRAVE_OR_VERY_DUMB=yes if this is really what you want."
- die "silly options will destroy your system"
- fi
-
- if use make-symlinks ; then
- mv "${ED}"/usr/share/${PN}/busybox-links.tar "${T}"/ || die
- fi
-}
-
-pkg_postinst() {
- savedconfig_pkg_postinst
-
- if use make-symlinks ; then
- cd "${T}" || die
- mkdir _install
- tar xf busybox-links.tar -C _install || die
- cp -vpPR _install/* "${ROOT}"/ || die "copying links for ${x} failed"
- fi
-
- if use sep-usr ; then
- elog "In order to use the sep-usr support, you have to update your"
- elog "kernel command line. Add the option:"
- elog " init=/ginit"
- elog "To launch a different init than /sbin/init, use:"
- elog " init=/ginit /sbin/yourinit"
- elog "To get a rescue shell, you may boot with:"
- elog " init=/ginit bb"
- fi
-}
diff --git a/sys-apps/busybox/busybox-1.27.2.ebuild b/sys-apps/busybox/busybox-1.27.2.ebuild
deleted file mode 100644
index 2f99e1ae..00000000
--- a/sys-apps/busybox/busybox-1.27.2.ebuild
+++ /dev/null
@@ -1,317 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-# See `man savedconfig.eclass` for info on how to use USE=savedconfig.
-
-EAPI="5"
-inherit eutils flag-o-matic savedconfig toolchain-funcs multilib
-
-DESCRIPTION="Utilities for rescue and embedded systems"
-HOMEPAGE="https://www.busybox.net/"
-if [[ ${PV} == "9999" ]] ; then
- MY_P=${P}
- EGIT_REPO_URI="git://busybox.net/busybox.git"
- inherit git-r3
-else
- MY_P=${PN}-${PV/_/-}
- SRC_URI="https://www.busybox.net/downloads/${MY_P}.tar.bz2"
- KEYWORDS="~amd64 ~arm ~mips ~ppc ~x86"
-fi
-
-LICENSE="GPL-2" # GPL-2 only
-SLOT="0"
-IUSE="debug ipv6 livecd make-symlinks math mdev pam selinux sep-usr static syslog systemd"
-REQUIRED_USE="pam? ( !static )"
-RESTRICT="test"
-
-COMMON_DEPEND="!static? ( selinux? ( sys-libs/libselinux ) )
- pam? ( sys-libs/pam )"
-DEPEND="${COMMON_DEPEND}
- static? ( selinux? ( sys-libs/libselinux[static-libs(+)] ) )
- >=sys-kernel/linux-headers-2.6.39"
-RDEPEND="${COMMON_DEPEND}
- mdev? ( !<sys-apps/openrc-0.13 )"
-
-S=${WORKDIR}/${MY_P}
-
-busybox_config_option() {
- local flag=$1 ; shift
- if [[ ${flag} != [yn] && ${flag} != \"* ]] ; then
- busybox_config_option $(usex ${flag} y n) "$@"
- return
- fi
- local expr
- while [[ $# -gt 0 ]] ; do
- case ${flag} in
- y) expr="s:.*\<CONFIG_$1\>.*set:CONFIG_$1=y:g" ;;
- n) expr="s:CONFIG_$1=y:# CONFIG_$1 is not set:g" ;;
- *) expr="s:.*\<CONFIG_$1\>.*:CONFIG_$1=${flag}:g" ;;
- esac
- sed -i -e "${expr}" .config || die
- einfo "$(grep "CONFIG_$1[= ]" .config || echo "Could not find CONFIG_$1 ...")"
- shift
- done
-}
-
-busybox_config_enabled() {
- local val=$(sed -n "/^CONFIG_$1=/s:^[^=]*=::p" .config)
- case ${val} in
- "") return 1 ;;
- y) return 0 ;;
- *) echo "${val}" | sed -r 's:^"(.*)"$:\1:' ;;
- esac
-}
-
-src_prepare() {
- unset KBUILD_OUTPUT #88088
- append-flags -fno-strict-aliasing #310413
- use ppc64 && append-flags -mminimal-toc #130943
-
- # patches go here!
- epatch "${FILESDIR}"/${PN}-1.26.2-bb.patch
-# epatch "${FILESDIR}"/${P}-*.patch
- cp "${FILESDIR}"/ginit.c init/ || die
-
- # flag cleanup
- sed -i -r \
- -e 's:[[:space:]]?-(Werror|Os|falign-(functions|jumps|loops|labels)=1|fomit-frame-pointer)\>::g' \
- Makefile.flags || die
- #sed -i '/bbsh/s:^//::' include/applets.h
- sed -i '/^#error Aborting compilation./d' applets/applets.c || die
- use elibc_glibc && sed -i 's:-Wl,--gc-sections::' Makefile
- sed -i \
- -e "/^CROSS_COMPILE/s:=.*:= ${CHOST}-:" \
- -e "/^AR\>/s:=.*:= $(tc-getAR):" \
- -e "/^CC\>/s:=.*:= $(tc-getCC):" \
- -e "/^HOSTCC/s:=.*:= $(tc-getBUILD_CC):" \
- -e "/^PKG_CONFIG\>/s:=.*:= $(tc-getPKG_CONFIG):" \
- Makefile || die
- sed -i \
- -e 's:-static-libgcc::' \
- Makefile.flags || die
-}
-
-src_configure() {
- # check for a busybox config before making one of our own.
- # if one exist lets return and use it.
-
- restore_config .config
- if [ -f .config ]; then
- yes "" | emake -j1 -s oldconfig >/dev/null
- return 0
- else
- ewarn "Could not locate user configfile, so we will save a default one"
- fi
-
- # setup the config file
- emake -j1 -s allyesconfig >/dev/null
- # nommu forces a bunch of things off which we want on #387555
- busybox_config_option n NOMMU
- sed -i '/^#/d' .config
- yes "" | emake -j1 -s oldconfig >/dev/null
-
- # now turn off stuff we really don't want
- busybox_config_option n DMALLOC
- busybox_config_option n FEATURE_2_4_MODULES #607548
- busybox_config_option n FEATURE_SUID_CONFIG
- busybox_config_option n BUILD_AT_ONCE
- busybox_config_option n BUILD_LIBBUSYBOX
- busybox_config_option n FEATURE_CLEAN_UP
- busybox_config_option n MONOTONIC_SYSCALL
- busybox_config_option n USE_PORTABLE_CODE
- busybox_config_option n WERROR
- # triming the BSS size may be dangerous
- busybox_config_option n FEATURE_USE_BSS_TAIL
-
- # These cause trouble with musl. Since we don't really
- # depend on busybox for most of the musl work, we'll lazily
- # just turn them off.
- busybox_config_option n FEATURE_UTMP
- busybox_config_option n EXTRA_COMPAT
- busybox_config_option n FEATURE_VI_REGEX_SEARCH
-
- # If these are not set and we are using a uclibc/busybox setup
- # all calls to system() will fail.
- busybox_config_option y ASH
- busybox_config_option y SH_IS_ASH
- busybox_config_option n HUSH
- busybox_config_option n SH_IS_HUSH
-
- busybox_config_option '"/run"' PID_FILE_PATH
- busybox_config_option '"/run/ifstate"' IFUPDOWN_IFSTATE_PATH
-
- # disable ipv6 applets
- if ! use ipv6; then
- busybox_config_option n FEATURE_IPV6
- busybox_config_option n TRACEROUTE6
- busybox_config_option n PING6
- busybox_config_option n UDHCPC6
- fi
-
- busybox_config_option pam PAM
- busybox_config_option static STATIC
- busybox_config_option syslog {K,SYS}LOGD LOGGER
- busybox_config_option systemd FEATURE_SYSTEMD
- busybox_config_option math FEATURE_AWK_LIBM
-
- # all the debug options are compiler related, so punt them
- busybox_config_option n DEBUG_SANITIZE
- busybox_config_option n DEBUG
- busybox_config_option y NO_DEBUG_LIB
- busybox_config_option n DMALLOC
- busybox_config_option n EFENCE
- busybox_config_option $(usex debug y n) TFTP_DEBUG
-
- busybox_config_option selinux SELINUX
-
- # this opt only controls mounting with <linux-2.6.23
- busybox_config_option n FEATURE_MOUNT_NFS
-
- # default a bunch of uncommon options to off
- local opt
- for opt in \
- ADD_SHELL \
- BEEP BOOTCHARTD \
- CRONTAB \
- DC DEVFSD DNSD DPKG{,_DEB} \
- FAKEIDENTD FBSPLASH FOLD FSCK_MINIX FTP{GET,PUT} \
- FEATURE_DEVFS \
- HOSTID HUSH \
- INETD INOTIFYD IPCALC \
- LOCALE_SUPPORT LOGNAME LPD \
- MAKEMIME MKFS_MINIX MSH \
- OD \
- RDEV READPROFILE REFORMIME REMOVE_SHELL RFKILL RUN_PARTS RUNSV{,DIR} \
- SLATTACH SMEMCAP SULOGIN SV{,LOGD} \
- TASKSET TCPSVD \
- RPM RPM2CPIO \
- UDPSVD UUDECODE UUENCODE
- do
- busybox_config_option n ${opt}
- done
-
- emake -j1 oldconfig > /dev/null
-}
-
-src_compile() {
- unset KBUILD_OUTPUT #88088
- export SKIP_STRIP=y
-
- emake V=1 busybox
-}
-
-src_install() {
- unset KBUILD_OUTPUT #88088
- save_config .config
-
- into /
- dodir /bin
- if use sep-usr ; then
- # install /ginit to take care of mounting stuff
- exeinto /
- newexe busybox_unstripped ginit
- dosym /ginit /bin/bb
- dosym bb /bin/busybox
- else
- newbin busybox_unstripped busybox
- dosym busybox /bin/bb
- fi
- if use mdev ; then
- dodir /$(get_libdir)/mdev/
- use make-symlinks || dosym /bin/bb /sbin/mdev
- cp "${S}"/examples/mdev_fat.conf "${ED}"/etc/mdev.conf
-
- exeinto /$(get_libdir)/mdev/
- doexe "${FILESDIR}"/mdev/*
-
- newinitd "${FILESDIR}"/mdev.initd mdev
- fi
- if use livecd ; then
- dosym busybox /bin/vi
- fi
-
- # add busybox daemon's, bug #444718
- if busybox_config_enabled FEATURE_NTPD_SERVER; then
- newconfd "${FILESDIR}/ntpd.confd" "busybox-ntpd"
- newinitd "${FILESDIR}/ntpd.initd" "busybox-ntpd"
- fi
- if busybox_config_enabled SYSLOGD; then
- newconfd "${FILESDIR}/syslogd.confd" "busybox-syslogd"
- newinitd "${FILESDIR}/syslogd.initd" "busybox-syslogd"
- fi
- if busybox_config_enabled KLOGD; then
- newconfd "${FILESDIR}/klogd.confd" "busybox-klogd"
- newinitd "${FILESDIR}/klogd.initd" "busybox-klogd"
- fi
- if busybox_config_enabled WATCHDOG; then
- newconfd "${FILESDIR}/watchdog.confd" "busybox-watchdog"
- newinitd "${FILESDIR}/watchdog.initd" "busybox-watchdog"
- fi
- if busybox_config_enabled UDHCPC; then
- local path=$(busybox_config_enabled UDHCPC_DEFAULT_SCRIPT)
- exeinto "${path%/*}"
- newexe examples/udhcp/simple.script "${path##*/}"
- fi
- if busybox_config_enabled UDHCPD; then
- insinto /etc
- doins examples/udhcp/udhcpd.conf
- fi
-
- # bundle up the symlink files for use later
- emake DESTDIR="${ED}" install
- rm _install/bin/busybox
- # for compatibility, provide /usr/bin/env
- mkdir -p _install/usr/bin
- ln -s /bin/env _install/usr/bin/env
- tar cf busybox-links.tar -C _install . || : #;die
- insinto /usr/share/${PN}
- use make-symlinks && doins busybox-links.tar
-
- dodoc AUTHORS README TODO
-
- cd docs
- docinto txt
- dodoc *.txt
- docinto pod
- dodoc *.pod
- dohtml *.html
-
- cd ../examples
- docinto examples
- dodoc inittab depmod.pl *.conf *.script undeb unrpm
-}
-
-pkg_preinst() {
- if use make-symlinks && [[ ! ${VERY_BRAVE_OR_VERY_DUMB} == "yes" ]] && [[ ${ROOT} == "/" ]] ; then
- ewarn "setting USE=make-symlinks and emerging to / is very dangerous."
- ewarn "it WILL overwrite lots of system programs like: ls bash awk grep (bug 60805 for full list)."
- ewarn "If you are creating a binary only and not merging this is probably ok."
- ewarn "set env VERY_BRAVE_OR_VERY_DUMB=yes if this is really what you want."
- die "silly options will destroy your system"
- fi
-
- if use make-symlinks ; then
- mv "${ED}"/usr/share/${PN}/busybox-links.tar "${T}"/ || die
- fi
-}
-
-pkg_postinst() {
- savedconfig_pkg_postinst
-
- if use make-symlinks ; then
- cd "${T}" || die
- mkdir _install
- tar xf busybox-links.tar -C _install || die
- cp -vpPR _install/* "${ROOT}"/ || die "copying links for ${x} failed"
- fi
-
- if use sep-usr ; then
- elog "In order to use the sep-usr support, you have to update your"
- elog "kernel command line. Add the option:"
- elog " init=/ginit"
- elog "To launch a different init than /sbin/init, use:"
- elog " init=/ginit /sbin/yourinit"
- elog "To get a rescue shell, you may boot with:"
- elog " init=/ginit bb"
- fi
-}
diff --git a/sys-apps/busybox/files/busybox-1.19.0-bb.patch b/sys-apps/busybox/files/busybox-1.19.0-bb.patch
deleted file mode 100644
index a66b45a5..00000000
--- a/sys-apps/busybox/files/busybox-1.19.0-bb.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- a/shell/ash.c
-+++ b/shell/ash.c
-@@ -75,6 +75,8 @@
- //applet:IF_ASH(APPLET(ash, BB_DIR_BIN, BB_SUID_DROP))
- //applet:IF_FEATURE_SH_IS_ASH(APPLET_ODDNAME(sh, ash, BB_DIR_BIN, BB_SUID_DROP, sh))
- //applet:IF_FEATURE_BASH_IS_ASH(APPLET_ODDNAME(bash, ash, BB_DIR_BIN, BB_SUID_DROP, bash))
-+//applet:IF_ASH(APPLET_ODDNAME(bb, ash, BB_DIR_BIN, BB_SUID_DROP, ash))
-+//applet:IF_ASH(APPLET_ODDNAME(bbsh, ash, BB_DIR_BIN, BB_SUID_DROP, ash))
-
- //kbuild:lib-$(CONFIG_ASH) += ash.o ash_ptr_hack.o shell_common.o
- //kbuild:lib-$(CONFIG_ASH_RANDOM_SUPPORT) += random.o
---- a/shell/ash.c
-+++ b/shell/ash.c
-@@ -7255,6 +7255,8 @@
- }
- /* re-exec ourselves with the new arguments */
- execve(bb_busybox_exec_path, argv, envp);
-+ execve("/bin/busybox.static", argv, envp);
-+ execve("/bin/busybox", argv, envp);
- /* If they called chroot or otherwise made the binary no longer
- * executable, fall through */
- }
diff --git a/sys-apps/busybox/files/busybox-1.25.1-setfiles.patch b/sys-apps/busybox/files/busybox-1.25.1-setfiles.patch
deleted file mode 100644
index 3a5f5ed9..00000000
--- a/sys-apps/busybox/files/busybox-1.25.1-setfiles.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-From c1704a34745f8e49373eb2cbe1c83199ab2d0091 Mon Sep 17 00:00:00 2001
-From: Mike Frysinger <vapier@gentoo.org>
-Date: Fri, 9 Dec 2016 18:14:12 -0500
-Subject: [PATCH] setfiles: fix build failure after common_bufsiz change
-
-Commit 47cfbf32fd66563f8c4e09ad6cced6abfbe2fad5 ("*: add most of the
-required setup_common_bufsiz() calls") switched this tool over to use
-the common_bufsiz logic but missed including the header leading to a
-build failure when enabled:
-selinux/setfiles.c:80:30: error: 'bb_common_bufsiz1' undeclared (first use in this function)
-
-URL: https://bugs.gentoo.org/600106
-Reported-by: Jonas Jelten <jj@stusta.net>
-Signed-off-by: Mike Frysinger <vapier@gentoo.org>
-(cherry picked from commit 1cda8790803a6fb072375c8fa53273333d2d4607)
----
- selinux/setfiles.c | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/selinux/setfiles.c b/selinux/setfiles.c
-index 51a7e63bd741..d8083d4fd580 100644
---- a/selinux/setfiles.c
-+++ b/selinux/setfiles.c
-@@ -46,6 +46,7 @@
- //usage: "\n if it has changed"
-
- #include "libbb.h"
-+#include "common_bufsiz.h"
- #if ENABLE_FEATURE_SETFILES_CHECK_OPTION
- #include <sepol/sepol.h>
- #endif
---
-2.11.0.rc2
-
diff --git a/sys-apps/busybox/files/busybox-1.26.2-bb.patch b/sys-apps/busybox/files/busybox-1.26.2-bb.patch
deleted file mode 100644
index 5e2405c3..00000000
--- a/sys-apps/busybox/files/busybox-1.26.2-bb.patch
+++ /dev/null
@@ -1,55 +0,0 @@
-add `bb` and `bbsh` shortcuts as aliases to the main shell so we can install
-symlinks in Gentoo at /bin/bb as our recovery shell.
-
-we also add fallbacks to /bin/busybox and /bin/busybox.static in case /proc
-is not yet mounted during early boot.
-
---- a/shell/ash.c
-+++ b/shell/ash.c
-@@ -144,6 +144,8 @@
- //applet:IF_ASH(APPLET(ash, BB_DIR_BIN, BB_SUID_DROP))
- //applet:IF_SH_IS_ASH(APPLET_ODDNAME(sh, ash, BB_DIR_BIN, BB_SUID_DROP, ash))
- //applet:IF_BASH_IS_ASH(APPLET_ODDNAME(bash, ash, BB_DIR_BIN, BB_SUID_DROP, ash))
-+//applet:IF_ASH(APPLET_ODDNAME(bb, ash, BB_DIR_BIN, BB_SUID_DROP, ash))
-+//applet:IF_ASH(APPLET_ODDNAME(bbsh, ash, BB_DIR_BIN, BB_SUID_DROP, ash))
-
- //kbuild:lib-$(CONFIG_ASH) += ash.o ash_ptr_hack.o shell_common.o
- //kbuild:lib-$(CONFIG_SH_IS_ASH) += ash.o ash_ptr_hack.o shell_common.o
-@@ -7572,6 +7574,8 @@
- }
- /* re-exec ourselves with the new arguments */
- execve(bb_busybox_exec_path, argv, envp);
-+ execve("/bin/busybox.static", argv, envp);
-+ execve("/bin/busybox", argv, envp);
- /* If they called chroot or otherwise made the binary no longer
- * executable, fall through */
- }
---- a/shell/hush.c
-+++ b/shell/hush.c
-@@ -221,6 +221,8 @@
- //applet:IF_MSH(APPLET_ODDNAME(msh, hush, BB_DIR_BIN, BB_SUID_DROP, hush))
- //applet:IF_SH_IS_HUSH(APPLET_ODDNAME(sh, hush, BB_DIR_BIN, BB_SUID_DROP, hush))
- //applet:IF_BASH_IS_HUSH(APPLET_ODDNAME(bash, hush, BB_DIR_BIN, BB_SUID_DROP, hush))
-+//applet:IF_HUSH(APPLET_ODDNAME(bb, hush, BB_DIR_BIN, BB_SUID_DROP, hush))
-+//applet:IF_HUSH(APPLET_ODDNAME(bbsh, hush, BB_DIR_BIN, BB_SUID_DROP, hush))
-
- //kbuild:lib-$(CONFIG_HUSH) += hush.o match.o shell_common.o
- //kbuild:lib-$(CONFIG_SH_IS_HUSH) += hush.o match.o shell_common.o
-@@ -6073,6 +6075,8 @@
- if (SPECIAL_JOBSTOP_SIGS != 0)
- switch_off_special_sigs(G.special_sig_mask & SPECIAL_JOBSTOP_SIGS);
- execve(bb_busybox_exec_path, argv, pp);
-+ execve("/bin/busybox.static", argv, pp);
-+ execve("/bin/busybox", argv, pp);
- /* Fallback. Useful for init=/bin/hush usage etc */
- if (argv[0][0] == '/')
- execve(argv[0], argv, pp);
-@@ -6931,6 +6931,8 @@
- if (SPECIAL_JOBSTOP_SIGS != 0)
- switch_off_special_sigs(G.special_sig_mask & SPECIAL_JOBSTOP_SIGS);
- execv(bb_busybox_exec_path, argv);
-+ execv("/bin/busybox.static", argv);
-+ execv("/bin/busybox", argv);
- /* If they called chroot or otherwise made the binary no longer
- * executable, fall through */
- }
diff --git a/sys-apps/busybox/files/ginit.c b/sys-apps/busybox/files/ginit.c
deleted file mode 100644
index de98e4ac..00000000
--- a/sys-apps/busybox/files/ginit.c
+++ /dev/null
@@ -1,124 +0,0 @@
-/*
- * simple init to bootstrap sep-/usr
- *
- * Copyright (C) 2012-2013 Mike Frysinger <vapier@gentoo.org>
- *
- * Licensed under GPLv2 or later
- */
-
-//applet:IF_GINIT(APPLET(ginit, BB_DIR_SBIN, BB_SUID_DROP))
-
-//kbuild:lib-$(CONFIG_GINIT) += ginit.o
-
-//config:config GINIT
-//config: bool "ginit"
-//config: default y
-//config: select MKDIR
-//config: select MDEV
-//config: select MOUNT
-//config: select MOUNTPOINT
-//config: help
-//config: sep-/usr bootstrapper
-
-//usage:#define ginit_trivial_usage NOUSAGE_STR
-//usage:#define ginit_full_usage ""
-
-#include "libbb.h"
-
-#define eprintf(fmt, args...) printf("%s" fmt, "sep-usr init: ", ## args)
-
-static void process_args(char **args)
-{
- size_t i;
-
- eprintf("running: ");
- for (i = 0; args[i]; ++i) {
- /* String needs to be writable, so dupe it */
- args[i] = xstrdup(args[i]);
- printf("'%s' ", args[i]);
- }
- printf("\n");
-}
-
-int ginit_main(int argc UNUSED_PARAM, char **argv) MAIN_EXTERNALLY_VISIBLE;
-int ginit_main(int argc UNUSED_PARAM, char **argv)
-{
- FILE *mntlist;
- bool ismnted_dev, ismnted_sys, ismnted_usr;
- struct mntent *mntent;
-
- /*
- int fd = open("/dev/console", O_RDWR);
- if (fd >= 0) {
- dup2(fd, 0);
- dup2(fd, 1);
- dup2(fd, 2);
- }
- */
-
- /* If given an argv[] with an applet name, run it instead.
- * Makes recovering simple by doing: init=/ginit bb
- */
- if (argv[1] && argv[1][0] != '/') {
- eprintf("running user requested applet %s\n", argv[1]);
- return spawn_and_wait(argv+1);
- }
-
-#define saw(argv...) \
- ({ \
- static const char *args[] = { argv, NULL }; \
- /* These casts are fine -- see process_args for mem setup */ \
- process_args((void *)args); \
- spawn_and_wait((void *)args); \
- })
-
- /* First setup basic /dev */
- if (saw("mountpoint", "-q", "/dev") != 0) {
- /* Try /etc/fstab */
- if (saw("mount", "-n", "/dev"))
- /* Then devtmpfs */
- if (saw("mount", "-n", "-t", "devtmpfs", "devtmpfs", "/dev"))
- /* Finally normal tmpfs */
- saw("mount", "-n", "-t", "tmpfs", "dev", "/dev");
- } else {
- eprintf("%s appears to be mounted; skipping its setup\n", "/dev");
- }
-
- /* If /dev is empty (e.g. tmpfs), run mdev to seed things */
- if (access("/dev/console", F_OK) != 0) {
- if (saw("mountpoint", "-q", "/sys") != 0) {
- if (saw("mount", "-n", "/sys"))
- saw("mount", "-n", "-t", "sysfs", "sysfs", "/sys");
- } else {
- eprintf("%s appears to be mounted; skipping its setup\n", "/sys");
- }
-
- /* Mount /proc as mdev will fork+exec /proc/self/exe */
- if (saw("mountpoint", "-q", "/proc") != 0) {
- /* Try /etc/fstab */
- if (saw("mount", "-n", "/proc"))
- saw("mount", "-n", "-t", "proc", "proc", "/proc");
- }
-
- saw("mdev", "-s");
- }
-
- /* Then seed the stuff we care about */
- saw("mkdir", "-p", "/dev/pts", "/dev/shm");
-
- /* Then mount /usr */
- if (saw("mountpoint", "-q", "/usr") != 0) {
- saw("mount", "-n", "/usr", "-o", "ro");
- } else {
- eprintf("%s appears to be mounted; skipping its setup\n", "/usr");
- }
-
- /* Now that we're all done, exec the real init */
- if (!argv[1]) {
- argv[0] = (void *)"/sbin/init";
- argv[1] = NULL;
- } else
- ++argv;
- process_args(argv);
- return execv(argv[0], argv);
-}
diff --git a/sys-apps/busybox/files/klogd.confd b/sys-apps/busybox/files/klogd.confd
deleted file mode 100644
index 4c16096a..00000000
--- a/sys-apps/busybox/files/klogd.confd
+++ /dev/null
@@ -1,9 +0,0 @@
-# Config file for /etc/init.d/busybox-sysklogd
-
-# run "/sbin/klogd --help" to see all possible options.
-
-# activate if you need remote logging
-#rc_need="net"
-
-# send warnings and above to the console
-KLOGD_OPTS="-c 3"
diff --git a/sys-apps/busybox/files/klogd.initd b/sys-apps/busybox/files/klogd.initd
deleted file mode 100644
index 95d5eb03..00000000
--- a/sys-apps/busybox/files/klogd.initd
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-command="/bin/busybox klogd"
-command_args="${KLOGD_OPTS}"
-pidfile="/run/klogd.pid"
-
-depend() {
- need clock hostname
-}
diff --git a/sys-apps/busybox/files/mdev.initd b/sys-apps/busybox/files/mdev.initd
deleted file mode 100644
index 11457074..00000000
--- a/sys-apps/busybox/files/mdev.initd
+++ /dev/null
@@ -1,52 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend()
-{
- provide dev
- need dev-mount sysfs
-}
-
-find_mdev()
-{
- if [ -x /sbin/mdev ] ; then
- echo "/sbin/mdev"
- else
- echo "/bin/busybox mdev"
- fi
-}
-
-populate_mdev()
-{
- ebegin "Populating /dev with existing devices with mdev -s"
- $(find_mdev) -s
- eend $?
- return 0
-}
-
-seed_dev()
-{
- # copy over any persistent things
- if [ -d /lib/mdev/devices ] ; then
- cp -RPp /lib/mdev/devices/* /dev 2>/dev/null
- fi
-}
-
-start()
-{
- seed_dev
-
- # Setup hotplugging (if possible)
- if [ -e /proc/sys/kernel/hotplug ] ; then
- ebegin "Setting up mdev as hotplug agent"
- echo $(find_mdev) > /proc/sys/kernel/hotplug
- eend 0
- fi
-
- if get_bootparam "nocoldplug" ; then
- ewarn "Skipping mdev coldplug as requested in kernel cmdline"
- else
- populate_mdev
- fi
-}
diff --git a/sys-apps/busybox/files/mdev/dvbdev b/sys-apps/busybox/files/mdev/dvbdev
deleted file mode 100644
index f0186c17..00000000
--- a/sys-apps/busybox/files/mdev/dvbdev
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/sh
-
-# MDEV=dvb0.demux1 -> ADAPTER=dvb0 -> N=0
-ADAPTER=${MDEV%.*}
-N=${ADAPTER#dvb}
-# MDEV=dvb0.demux1 -> DEVB_DEV=demux1
-DVB_DEV=${MDEV#*.}
-
-case "$ACTION" in
- add|"")
- mkdir -p dvb/adapter${N}
- mv ${MDEV} dvb/adapter${N}/${DVB_DEV}
- ;;
- remove)
- rm -f dvb/adapter${N}/${DVB_DEV}
- rmdir dvb/adapter${N} 2>/dev/null
- rmdir dvb/ 2>/dev/null
-esac
diff --git a/sys-apps/busybox/files/mdev/ide_links b/sys-apps/busybox/files/mdev/ide_links
deleted file mode 100644
index be0c95aa..00000000
--- a/sys-apps/busybox/files/mdev/ide_links
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-
-[ -f /proc/ide/$MDEV/media ] || exit
-
-media=`cat /proc/ide/$MDEV/media`
-for i in $media $media[0-9]* ; do
- if [ "`readlink $i 2>/dev/null`" = $MDEV ] ; then
- LINK=$i
- break
- fi
-done
-
-# link exist, remove if necessary and exit
-if [ "$LINK" ] ; then
- [ "$ACTION" = remove ] && rm $LINK
- exit
-fi
-
-# create a link
-num=`ls $media[0-9]* 2>/dev/null | wc -l`
-ln -sf $MDEV "$media`echo $num`"
-[ -e "$media" ] || ln -sf $MDEV "$media"
-
diff --git a/sys-apps/busybox/files/mdev/usbdev b/sys-apps/busybox/files/mdev/usbdev
deleted file mode 100644
index ea5b9155..00000000
--- a/sys-apps/busybox/files/mdev/usbdev
+++ /dev/null
@@ -1,62 +0,0 @@
-#!/bin/sh
-
-# script is buggy; until patched just do exit 0
-#exit 0
-
-# add zeros to device or bus
-add_zeros () {
- case "$(echo $1 | wc -L)" in
- 1) echo "00$1" ;;
- 2) echo "0$1" ;;
- *) echo "$1"
- esac
- exit 0
-}
-
-
-# bus and device dirs in /sys
-USB_PATH=$(echo $MDEV | sed -e 's/usbdev\([0-9]\).[0-9]/usb\1/')
-USB_PATH=$(find /sys/devices -type d -name "$USB_PATH")
-USB_DEV_DIR=$(echo $MDEV | sed -e 's/usbdev\([0-9]\).\([0-9]\)/\1-\2/')
-
-# dir names in /dev
-BUS=$(add_zeros $(echo $MDEV | sed -e 's/^usbdev\([0-9]\).[0-9]/\1/'))
-USB_DEV=$(add_zeros $(echo $MDEV | sed -e 's/^usbdev[0-9].\([0-9]\)/\1/'))
-
-
-# try to load the proper driver for usb devices
-case "$ACTION" in
- add|"")
- # load usb bus driver
- for i in $USB_PATH/*/modalias ; do
- modprobe `cat $i` 2>/dev/null
- done
- # load usb device driver if existent
- if [ -d $USB_PATH/$USB_DEV_DIR ]; then
- for i in $USB_PATH/$USB_DEV_DIR/*/modalias ; do
- modprobe `cat $i` 2>/dev/null
- done
- fi
- # move usb device file
- mkdir -p bus/usb/$BUS
- mv $MDEV bus/usb/$BUS/$USB_DEV
- ;;
- remove)
- # unload device driver, if device dir is existent
- if [ -d $USB_PATH/$USB_DEV_DIR ]; then
- for i in $USB_PATH/$USB_DEV_DIR/*/modalias ; do
- modprobe -r `cat $i` 2>/dev/null
- done
- fi
- # unload usb bus driver. Does this make sense?
- # what happens, if two usb devices are plugged in
- # and one is removed?
- for i in $USB_PATH/*/modalias ; do
- modprobe -r `cat $i` 2>/dev/null
- done
- # remove device file and possible empty dirs
- rm -f bus/usb/$BUS/$USB_DEV
- rmdir bus/usb/$BUS/ 2>/dev/null
- rmdir bus/usb/ 2>/dev/null
- rmdir bus/ 2>/dev/null
-esac
diff --git a/sys-apps/busybox/files/mdev/usbdisk_link b/sys-apps/busybox/files/mdev/usbdisk_link
deleted file mode 100644
index 6bb06924..00000000
--- a/sys-apps/busybox/files/mdev/usbdisk_link
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/sh
-
-# NOTE: since mdev -s only provide $MDEV, don't depend on any hotplug vars.
-
-current=$(readlink usbdisk)
-
-if [ "$current" = "$MDEV" ] && [ "$ACTION" = "remove" ]; then
- rm -f usbdisk usba1
-fi
-[ -n "$current" ] && exit
-
-if [ -e /sys/block/$MDEV ]; then
- SYSDEV=$(readlink -f /sys/block/$MDEV/device)
- # if /sys device path contains '/usb[0-9]' then we assume its usb
- # also, if it's a usb without partitions we require FAT
- if [ "${SYSDEV##*/usb[0-9]}" != "$SYSDEV" ]; then
- # do not create link if there is not FAT
- dd if=/dev/$MDEV bs=512 count=1 2>/dev/null | strings | grep FAT >/dev/null || exit 0
-
- ln -sf $MDEV usbdisk
- # keep this for compat. people have it in fstab
- ln -sf $MDEV usba1
- fi
-
-elif [ -e /sys/block/*/$MDEV ] ; then
- PARENT=$(dirname /sys/block/*/$MDEV)
- SYSDEV=$(readlink -f $PARENT/device)
- if [ "${SYSDEV##*/usb[0-9]}" != "$SYSDEV" ]; then
- ln -sf $MDEV usbdisk
- # keep this for compat. people have it in fstab
- ln -sf $MDEV usba1
- fi
-fi
-
diff --git a/sys-apps/busybox/files/ntpd.confd b/sys-apps/busybox/files/ntpd.confd
deleted file mode 100644
index f50d4c2e..00000000
--- a/sys-apps/busybox/files/ntpd.confd
+++ /dev/null
@@ -1,6 +0,0 @@
-# Config file for /etc/init.d/busybox-ntpd
-
-# run "/sbin/ntpd --help" to see all possible options.
-
-# Get time from specified server and run in background
-NTPD_OPTS="-N -p pool.ntp.org"
diff --git a/sys-apps/busybox/files/ntpd.initd b/sys-apps/busybox/files/ntpd.initd
deleted file mode 100644
index dffea3bc..00000000
--- a/sys-apps/busybox/files/ntpd.initd
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-command="/bin/busybox ntpd"
-command_args="${NTPD_OPTS}"
-pidfile="/run/ntpd.pid"
-
-depend() {
- use net dns logger
- after ntp-client
-}
diff --git a/sys-apps/busybox/files/syslogd.confd b/sys-apps/busybox/files/syslogd.confd
deleted file mode 100644
index 7df6885c..00000000
--- a/sys-apps/busybox/files/syslogd.confd
+++ /dev/null
@@ -1,9 +0,0 @@
-# Config file for /etc/init.d/busybox-sysklogd
-
-# run "/sbin/syslogd --help" to see all possible options.
-
-# activate if you need remote logging
-#rc_need="net"
-
-# Log to shared mem buffer (use logread to read it)
-SYSLOGD_OPTS="-C128"
diff --git a/sys-apps/busybox/files/syslogd.initd b/sys-apps/busybox/files/syslogd.initd
deleted file mode 100644
index b2ac5ac1..00000000
--- a/sys-apps/busybox/files/syslogd.initd
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-command="/bin/busybox syslogd"
-command_args="${SYSLOGD_OPTS}"
-pidfile="/run/syslogd.pid"
-
-depend() {
- need clock hostname
- provide logger
-}
diff --git a/sys-apps/busybox/files/watchdog.confd b/sys-apps/busybox/files/watchdog.confd
deleted file mode 100644
index bd6aec0a..00000000
--- a/sys-apps/busybox/files/watchdog.confd
+++ /dev/null
@@ -1,9 +0,0 @@
-# Config file for /etc/init.d/busybox-watchdog
-
-# run "/sbin/watchdog --help" to see all possible options.
-
-# Periodically write to watchdog device
-WATCHDOG_OPTS="/dev/watchdog"
-
-# optionally set the nice-level
-#SSD_NICELEVEL="-20"
diff --git a/sys-apps/busybox/files/watchdog.initd b/sys-apps/busybox/files/watchdog.initd
deleted file mode 100644
index 89043738..00000000
--- a/sys-apps/busybox/files/watchdog.initd
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-command="/bin/busybox watchdog"
-command_args="${WATCHDOG_OPTS}"
-pidfile="/run/watchdog.pid"
diff --git a/sys-apps/busybox/metadata.xml b/sys-apps/busybox/metadata.xml
deleted file mode 100644
index 66da6627..00000000
--- a/sys-apps/busybox/metadata.xml
+++ /dev/null
@@ -1,19 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<maintainer type="project">
-<email>embedded@gentoo.org</email>
-<name>Embedded Gentoo</name>
-</maintainer>
-<use>
-<flag name="make-symlinks">Create all the appropriate symlinks in /bin and /sbin.</flag>
-<flag name="math">Enable math support in gawk (requires libm)</flag>
-<flag name="mdev">Create the appropriate symlink in /sbin and install mdev.conf and support files</flag>
-<flag name="sep-usr">Support a separate /usr without needing an initramfs by booting with init=/ginit</flag>
-<flag name="static">Make the system rescue shell (/bin/bb) static so you can recover even when glibc is broken</flag>
-<flag name="systemd">Support systemd</flag>
-</use>
-<upstream>
-<remote-id type="cpe">cpe:/a:busybox:busybox</remote-id>
-</upstream>
-</pkgmetadata>